<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous"/>
</head>
<body>

<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <div class="container-fluid">
    <a class="navbar-brand" href="{% url 'base' %}">Musicshop</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item">
          <a class="nav-link active" aria-current="page" href="{% url 'base' %}">Главная</a>
        </li>
          {% if not request.user.is_authenticated %}
          <li class="nav-item">
            <a class="nav-link" href="{% url 'login' %}">Авторизация</a>
          </li>
            <li class="nav-item">
            <a class="nav-link" href="{% url 'registration' %}">Регистрация</a>
          </li>
          {% else %}
            <li class="nav-item">
            <a class="nav-link" href="{% url 'account' %}">Личный кабинет</a>
          </li>
            <li class="nav-item">
            <a class="nav-link" href="{% url 'logout' %}">Выйти</a>
          </li>
              <li class="nav-item dropdown">
                <a class="nav-link drowdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown"
                   aria-expanded="false">

                    Уведомления <i class="fas fa-bell"></i>
                    <span class="badge bg-{% if notifications.count %}danger{% else %}secondary{% endif %}">
                        {{ notifications.count }}
                    </span>
                </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">

                            {% if notifications %}
                                {% for n in notifications %}
                                    <li><span class="dropdown-item">{{ n.text|safe }}</span></li>
                                {% endfor %}
                                    <li><hr class="dropdown-divider"></li>
                                    <li><a href="{% url 'clear-notifications' %}"
                                           class="drowpdown-item">Пометить все, как прочитанное</a></li>
                            {% else %}
                                <li><a class="dropdown-item" href="#">Нет новых уведомлений</a></li>
                            {% endif %}
                        </ul>
              </li>
          {% endif %}
      </ul>
        {% if request.user.is_authenticated %}
        <ul class="navbar-nav">
            <li class="nav-item"><a href="{% url 'cart' %}" class="nav-link"><i class="fas fa-shopping-cart"></i> <span class="badge bg-danger">{{ cart.products.count }}</span></a></li>
        </ul>
        {% endif %}
    </div>
  </div>
</nav>

<div class="container">
    {% block content %}
        <div class="col-md-12">
                <div class="row">
                    <div class="col-md-4"></div>
                    <div class="col-md-4">
                        <h4 class="text-center">Хит продаж текущего месяца</h4>
                        <a href="{{ month_bestseller.get_absolute_url }}">{{ month_bestseller.name }}</a>
                    </div>
                    <div class="col-md-4"></div>
                </div>
            <div class="row">
                {% for album in albums %}
                    <div class="card col-md-3 p-0 mb-3 mt-3">

                        <img src="{{ album.image.url }}" class="card-img-top">
                        <div class="card-body text-center">
                        <h5 class="card-title"><a href="{{ album.artist.get_absolute_url }}" class="text-decoration-none">
                            {{ album.artist.name }}
                        </a></h5>
                        <h5 class="card-title"><a href="{{ album.get_absolute_url }}" class="text-decoration-none">
                            {{ album.name }}
                        </a></h5>
                        </div>

                    <ul class="list-group list-group-flush">
                        <li class="list-group-item">Носитель: <strong>{{ album.media_type.name }}</strong></li>
                        <li class="list-group-item">Дата релиза: <strong>{{ album.release_date|date:"d-m-Y" }}</strong></li>
                        <li class="list-group-item">Жанр: <strong>{{ album.artist.genre.name }}</strong></li>
                        <li class="list-group-item">

                            Наличие: {% if album.stock %}<strong class="badge bg-success">
                            Есть в наличии - {{ album.stock }} шт.
                        </strong>{% else %}
                            <strong class="badge bg-danger">Нет в наличии</strong>
                        {% endif %}

                        </li>
                    </ul>

                    <div class="card-body text-center">

                        {% if request.user.is_authenticated %}

                            {% if album.stock %}
                                {% if album not in cart.products_in_cart %}
                                    <a href="{% url 'add_to_cart' ct_model=album.ct_model slug=album.slug %}">
                                        <button class="btn btn-primary">
                                    Добавить в корзину
                                            </button>
                                    </a>
                                {% else %}
                                    <a href="#" class="btn btn-default" disabled="">Добавлен в корзину</a>
                                {% endif %}
                            {% else %}
                                    {% if album not in request.user.customer.wishlist.all %}
                                        <a href="{% url 'add_to_wishlist' album_id=album.id %}" class="btn btn-warning">
                                        Добавить в ожидаемое
                                        </a>
                                    {% else %}
                                        <a href="#" class="btn btn-default" disabled="">Добавлен в ожидаемое</a>
                                    {% endif %}
                            {% endif %}
                        {% else %}
                            <a href="#" class="btn btn-default" disabled="">
                            Авторизуйтесь или зарегистрируйтесь, только авторизованные пользователи
                            могут осуществлять заказы
                            </a>
                        {% endif %}
                    </div>

                    </div>

                {% endfor %}
            </div>

        </div>
    {% endblock content %}
</div>
</body>
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
</html>